/**
 * Copyright (C) 2002-2007 - INRIA (www.inria.fr)
 *
 * CAROL: Common Architecture for RMI ObjectWeb Layer
 *
 * This library is developed inside the OW2 Consortium,
 * http://www.ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JServerRequestInfo.java 1272 2007-09-11 11:43:56Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.carol.rmi.jrmp.interceptor.api;

import java.util.Collection;

import org.ow2.carol.rmi.jrmp.interceptor.spi.JServiceContext;


/**
 * Interface <code>JServerRequestInfo</code> is the CAROL JServerRequestInfo
 * this inetrface describe the server interceptor information structur
 * @author Guillaume Riviere (Guillaume.Riviere@inrialpes.fr)
 * @version 1.0, 15/07/2002
 */
public interface JServerRequestInfo extends JRequestInfo {

    /**
     * add a JServicecontext
     * @param JServiceContext the context to add
     */
    public void add_reply_service_context(JServiceContext jServiceContext);

    /**
     * Add the all the reply service context
     * @param c Services contexts
     */
    public void add_all_reply_service_context(Collection<JServiceContext> c);

}